<?xml version="1.0" encoding="GB2312"?>
<MaintainConfig  Version="MaintainConfig_V1.2" Time="20180129">
    <TraceConfig>
        <Enable>1</Enable>
        <Snip>1</Snip>
        <MaxBufferSize>2097152</MaxBufferSize>
        <AfMaxCount>10</AfMaxCount>
        <FullDumpSize>4</FullDumpSize>
    </TraceConfig>
    <MonitorConfig Enable="1">
        <!-- "IPP_stat" buffer monitor will be disabled by code in commercial version to improve performance -->
        <Monitor Type="PP_foreground" WatchDog="0" Buffer="0"/>
        <Monitor Type="PP_background" WatchDog="1" Buffer="0"/>
        <Monitor Type="IPP_stat" WatchDog="1" Buffer="1"/>
        <Monitor Type="IPP_post" WatchDog="1" Buffer="1"/>
    </MonitorConfig>
    <WatchDogConfig>
        <LoopPeriodInMs>500</LoopPeriodInMs>
        <WatchDogItem>
            <!-- "IPP_process" will be disabled by code in commercial version to improve performance -->
            <Item Name="constructor" Enable="1" DefaultWarnThreshold="400" DefaultErrorThreshold="1000">
            </Item>
            <Item Name="sos" Enable="1" DefaultWarnThreshold="400" DefaultErrorThreshold="1000">
            </Item>
            <Item Name="PP_process" Enable="1" DefaultWarnThreshold="1300" DefaultErrorThreshold="3000" DefaultDumpTraceThreshold="20000">
                <TimeOutThreshold AlgoName="digitalzoom" Warn="2000" Error="4500"/>
                <TimeOutThreshold AlgoName="dualdepth" Warn="2000" Error="4500"/>
                <TimeOutThreshold AlgoName="davincidsp" Warn="2000" Error="4500"/>
                <TimeOutThreshold AlgoName="fullscalezoomdsp" Warn="3500" Error="4500"/>
                <TimeOutThreshold AlgoName="AiRawPpAlgo" Warn="3500" Error="4500"/>
                <TimeOutThreshold AlgoName="AiRawV2PpAlgo" Warn="3500" Error="4500"/>
                <TimeOutThreshold AlgoName="fullzoom" Warn="3500" Error="4500"/>
                <TimeOutThreshold AlgoName="ellip" Warn="3500" Error="4500"/>
                <TimeOutThreshold AlgoName="MegRawhdrPpAlgo" Warn="2000" Error="4500"/>
                <TimeOutThreshold AlgoName="opticalzoom" Warn="1800" Error="4500"/>
                <TimeOutThreshold AlgoName="RawhdrDsp" Warn="1800" Error="4500"/>
                <TimeOutThreshold AlgoName="RawBshutterDsp" Warn="3000" Error="8000"/>
                <TimeOutThreshold AlgoName="pp_bshutter" Warn="3000" Error="8000"/>
            </Item>
            <Item Name="IPP_process" Enable="1" DefaultWarnThreshold="400" DefaultErrorThreshold="1000">
            </Item>
            <Item Name="eos" Enable="1" DefaultWarnThreshold="400" DefaultErrorThreshold="1000">
            </Item>
            <Item Name="snapshot" Enable="1" DefaultWarnThreshold="1000" DefaultErrorThreshold="2000">
                <TimeOutThreshold AlgoName="edof" Warn="1500" Error="2500"/>
                <TimeOutThreshold AlgoName="pro_camera" Warn="35000" Error="40000"/>
            </Item>
            <Item Name="cameraclose" Enable="1" DefaultWarnThreshold="5000" DefaultErrorThreshold="10000">
            </Item>
        </WatchDogItem>
    </WatchDogConfig>
    <BufferMonitorConfig>
        <DefaultIppCountThreshold>50</DefaultIppCountThreshold>
        <IppCountThreshold>
            <Threshold Name="SceneDetection" ThresholdCount="150"/>
            <Threshold Name="VidHanceGPU" ThresholdCount="70"/>
            <Threshold Name="HwVideoStabGPU" ThresholdCount="70"/>
        </IppCountThreshold>
    </BufferMonitorConfig>
    <AlgoDumpConfig>
        <Item AlgoName="YUVEnhance" Enable="1" LimitSize="2000000" />
        <Item AlgoName="AiRawV2PpAlgo" Enable="1" LimitSize="2000000" />
        <Item AlgoName="hwFaceAttrPpAlgo" Enable="1" LimitSize="2000000" />
        <Item AlgoName="HwBeautyPpAlgo" Enable="1" LimitSize="2000000" />
        <Item AlgoName="FaceSr" Enable="1" LimitSize="2000000" />
        <Item AlgoName="refocus" Enable="1" LimitSize="2000000" />
        <Item AlgoName="AiRawShortFrame" Enable="1" LimitSize="2000000" />
    </AlgoDumpConfig>
</MaintainConfig>
